PasswordFox

PasswordFox v1.20
Copyright (c) 2008 - 2010 Nir Sofer
Web site: http://www.nirsoft.net

Description

PasswordFox is a small password recovery tool that allows you to view the user names and passwords stored by Mozilla Firefox Web browser. By default, PasswordFox displays the passwords stored in your current profile, but you can easily select to watch the passwords of any other Firefox profile. For each password entry, the following information is displayed: Record Index, Web Site, User Name, Password, User Name Field, Password Field, and the Signons filename.

System Requirements

This utility works under Windows 2000, Windows XP, Windows Server 2003, Windows Vista, and Windows 7. Firefox should also be installed on your system in order to use this utility.

Versions History

  • Version 1.20
    • Fixed bug: PasswordFox failed to display properly non-English characters in user name/password data.
    • Added 'HTTP Realm' column. (Displayed only for some HTTP password-protected Web sites and only on Firefox 3.x or greater)
  • Version 1.15
    • Added support for reading the signons.sqlite in new versions of Firefox.
  • Version 1.12:
    • Added accelerator key for 'Select Folder' option.
    • Added sorting from command-line.
  • Version 1.11:
    • Added new option in 'Select Folders' dialog-box: Remember the folder settings in the next time that you use PasswordFox.
  • Version 1.10:
    • Added support for specifying the master password (in the 'Select Folders' dialog-box or from command-line).
  • Version 1.05:
    • Added support for selecting the right Firefox installation folder.
    • Added /installfolder command-line option.
    • Added AutoComplete feature in Select Folders dialog-box.
  • Version 1.00 - First release.

Using PasswordFox

PasswordFox doesn't require any installation process or additional DLL files. However, Firefox browser must be installed on your computer in order allow PasswordFox to grab the passwords list.
In order to start using PasswordFox, simply run the executable file - PasswordFox.exe
After running it, the main window will display all your passwords list for the last profile that you used. If PasswordFox chose the wrong profile folder, you can use the 'Select Profile Folder' option to choose the right one.

Command-Line Options

/profile <Folder> | Choose the desired Firefox profile folder.
/installfolder <Folder> | Choose the desired Firefox installation folder.
/master <Password> | Specify the master password.
/stext <Filename> | Save the list of Firefox passwords into a regular text file.
/stab <Filename> | Save the list of Firefox passwords into a tab-delimited text file.
/scomma <Filename> | Save the list of Firefox passwords into a comma-delimited text file.
/stabular <Filename> | Save the list of Firefox passwords into a tabular text file.
/shtml <Filename> | Save the list of Firefox passwords into HTML file (Horizontal).
/sverhtml <Filename> | Save the list of Firefox passwords into HTML file (Vertical).
/sxml <Filename> | Save the list of Firefox passwords to XML file.
/sort <column> | This command-line option can be used with other save options for sorting by the desired column. If you don't specify this option, the list is sorted according to the last sort that you made from the user interface. The <column> parameter can specify the column index (0 for the first column, 1 for the second column, and so on) or the name of the column, like "Web Site" and "User Name". You can specify the '~' prefix character (e.g: "~User Name") if you want to sort in descending order. You can put multiple /sort in the command-line if you want to sort by multiple columns. Examples: PasswordFox.exe /shtml "f:\temp\pw.html" /sort 2 /sort ~1 PasswordFox.exe /shtml "f:\temp\pw.html" /sort "Web Site" /sort "User Name"
/nosort | When you specify this command-line option, the list will be saved without any sorting.

Translating PasswordFox to other languages

In order to translate PasswordFox to other language, follow the instructions below:
  1. Run PasswordFox with /savelangfile parameter:
    PasswordFox.exe /savelangfile
    A file named PasswordFox_lng.ini will be created in the folder of PasswordFox utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run PasswordFox, and all translated strings will be loaded from the language file.
    If you want to run PasswordFox without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com